/**
 * Header
 */
.img-viewer .fsm-header,
.full-screen-msg.img-viewer .fsm-header {
    display:table;
    position:relative;
    width:100%;
}
 
.img-viewer .fsm-header,
.img-viewer .fsm-footer,
.img-viewer .fsm-body .fsm-imgv-content {
    background-color: #fefefe;
    border: 1px solid #f0f0f0;
}
 
.img-viewer .fsm-header {
    padding-left: 0px;
    padding-right: 0px;
    padding-top: 20px;
    padding-bottom: 20px;
}
 
.img-viewer .fsm-header .fsm-imgv-title,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-title {
    display:table-cell;
    position: relative;
    left:0px;
    top:0px;
    vertical-align: middle;
    width:100%;
    height:auto;
    padding-left: 30px;
    padding-right: 30px;
}
 
.img-viewer .fsm-header .fsm-imgv-title h3,
.img-viewer .fsm-header .fsm-imgv-title small,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-title h3,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-title small {
    display:block;
    position:relative;
    float:left;
    left:0px;
    top:0px;
    width:100%;
    height:auto;
    margin:0px;
    padding:0px;
}
.img-viewer .fsm-header .fsm-imgv-title h3,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-title h3 {
    font-weight: 600;
    font-size: 1.1em;
}
.img-viewer .fsm-header .fsm-imgv-title small,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-title small {
    margin-top:10px;
    color: #666666;
    font-size: 14px;
}

.img-viewer .fsm-header .fsm-imgv-title small b {
    font-weight: 600;
    color:#555555;
}
  
.img-viewer .fsm-header .fsm-imgv-toolbar,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar {
    display:table-cell;
    position: relative;
    left:0px;
    top:0px;
    vertical-align: middle;
    width:20%;
    height:auto;
    padding-left: 30px;
    padding-right: 30px;
    cursor:pointer;
}
 
.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn {
    display: block;
    position: relative;
    float: right;
    right: 0px;
    top: 0px;
    width: 30px;
    height: 30px;
    margin-left: 24px;
}
 
.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn .toolbar-btn-ico,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn .toolbar-btn-ico {
    display:block;
    position:relative;
    float: right;
    width: 24px;
    height: 30px;
}
 
.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn .selector,
.full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn .selector {
    display: block;
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
}
 
@media(max-width:767px) {
 
    .img-viewer .fsm-header {
        display: block;
        position: relative;
        padding-left: 15px;
        padding-right: 15px;
        padding-top: 20px;
        padding-bottom: 20px;
    }
 
    .img-viewer .fsm-header .fsm-imgv-title,
    .full-screen-msg.img-viewer .fsm-header .fsm-imgv-title {
        display: inline-block;
        width: 85%;
        max-height: 100px;
        padding-left: 0px;
        padding-right: 15px;
        overflow-x: hidden;
        overflow-y: auto;
    }
    .img-viewer .fsm-header .fsm-imgv-title h3,
    .full-screen-msg.img-viewer .fsm-header .fsm-imgv-title h3 {
        font-size: 18px;
        font-weight: 600;
        color: #333333;
    }
    .img-viewer .fsm-header .fsm-imgv-title small,
    .full-screen-msg.img-viewer .fsm-header .fsm-imgv-title small {
        margin-top:10px;
        font-size: 13px;
        font-weight: 500;
        width: 80%;
        padding-left: 0px;
        color: #666666;
    }
 
    .img-viewer .fsm-header .fsm-imgv-toolbar,
    .full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar {
        display: inline-block;
        position: relative;
        float: right;
        width: 12%;
        height: 100px;
        vertical-align: top;
        padding-left: 0px;
        padding-right: 0px;
        text-align: center;
        background-color: #ffffff;
        border: 1px solid #f0f0f0;
        border-radius: 2px;
    }
    .img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn,
    .full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn {
        width: 100%;
        height: 50%;
        margin: 0px;
    }
    .img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn .toolbar-btn-ico,
    .full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn .toolbar-btn-ico {
        display: block;
        position: relative;
        float: initial;
        margin: auto;
    }
    .img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn {
        top: 25%;
    }
    .img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn .toolbar-btn-ico {
        width: 75%;
        height: 75%;
    }
    .full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn {
        top: 35%;
    }
    .full-screen-msg.img-viewer .fsm-header .fsm-imgv-toolbar .toolbar-btn .toolbar-btn-ico {
        width: 60%;
        height: 60%;
    }
 
}
 
/**
 * Body
 */
.img-viewer .fsm-body,
.full-screen-msg.img-viewer .fsm-body {
    display: table;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
}
 
.img-viewer .fsm-body .fsm-imgv-btn-prev,
.img-viewer .fsm-body .fsm-imgv-btn-next,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next {
    display:table-cell;
    position:relative;
    vertical-align: middle;
    left:0px;
    top:0px;
    width:auto;
    height:auto;
    z-index: 1;
    background-color:rgba(209, 216, 224, 0.15);
}
 
.img-viewer .fsm-body .fsm-imgv-btn-prev .fsm-body-btn-ico,
.img-viewer .fsm-body .fsm-imgv-btn-next .fsm-body-btn-ico,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev .fsm-body-btn-ico,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next .fsm-body-btn-ico {
    display:block;
    position:relative;
    width:24px;
    height:24px;
    margin:auto;
}
 
.img-viewer .fsm-body .fsm-imgv-btn-prev .fsm-body-btn-ico,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev .fsm-body-btn-ico {
    float:left;
    left:20px;
    top:0px;
      
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
}
 
.img-viewer .fsm-body .fsm-imgv-btn-next .fsm-body-btn-ico,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next .fsm-body-btn-ico {
    float:right;
    right:20px;
    top:0px;
}
 
.img-viewer .fsm-body .fsm-imgv-content,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-content {
    display:table-cell;
    position:relative;
    vertical-align: middle;
    left:0px;
    top:0px;
}
  
.img-viewer .fsm-body .fsm-imgv-content {
    width:80%;
    height:auto;
}
 
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-content {
    width:80%;
    height:auto;
    margin-left:5%;
    margin-right:5%;
}

.full-screen-msg.img-viewer .fsm-body .fsm-imgv-content img,
.img-viewer .fsm-body .fsm-imgv-content img {
    display: block;
    position: relative;
    margin: auto;
}
.img-viewer .fsm-body .fsm-imgv-content img {
    width: auto;
    max-width: calc(var(--vw, 1vw) * 55);
    height: auto;
}
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-content img {
    max-width: calc(var(--vw, 1vw) * 80);
    max-height: calc(var(--vh, 1vh) * 70);
}
 
.img-viewer .fsm-body .fsm-imgv-btn-prev .selector,
.img-viewer .fsm-body .fsm-imgv-btn-next .selector,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev .selector,
.full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next .selector {
    display: block;
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
    cursor:pointer;
}
 
@media(max-width:992px) {
 
    .img-viewer .fsm-body .fsm-imgv-content,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-content {
        width: 100%;
        height: auto;
        margin-left: 0px;
        margin-right: 0px;
    }
 
    .img-viewer .fsm-body .fsm-imgv-content img,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-content img {
        display: block;
        position: relative;
        width: 100%;
        height: auto;
        max-width: calc(var(--vw, 1vw) * 100);
        max-height: calc(var(--vh, 1vh) * 100);
        margin: auto;
    }
 
    .img-viewer .fsm-body .fsm-imgv-btn-prev,
    .img-viewer .fsm-body .fsm-imgv-btn-next,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next {
        display: inline-flex;
        position: absolute;
        top: 0px;
        height: 100%;
        width: 67px;
        background-color:rgba(209, 216, 224, 0.25);
    }
 
    .img-viewer .fsm-body .fsm-imgv-btn-prev,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev {
        left: 0px;
    }
    
    .img-viewer .fsm-body .fsm-imgv-btn-next,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next {
        left: calc(100% - 67px);
    }
 
    .img-viewer .fsm-body .fsm-imgv-btn-prev .fsm-body-btn-ico,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev .fsm-body-btn-ico,
    .img-viewer .fsm-body .fsm-imgv-btn-next .fsm-body-btn-ico,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next .fsm-body-btn-ico {
        display:block;
        position: absolute;
        top: 300px;
        opacity:0.25;
        z-index: 1;
    }
    .img-viewer .fsm-body .fsm-imgv-btn-prev .fsm-body-btn-ico,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev .fsm-body-btn-ico {
        float: left;
        left: 10px;
    }
    .img-viewer .fsm-body .fsm-imgv-btn-next .fsm-body-btn-ico,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next .fsm-body-btn-ico {
        float: right;
        right: 10px;
    }

    .img-viewer .fsm-body .fsm-imgv-btn-prev .selector,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-prev .selector {
        background: rgba(237,237,237,1);
        background: -moz-linear-gradient(left, rgba(237,237,237,1) 0%, rgba(255,255,255,0.25) 12%, rgba(255,255,255,0) 100%);
        background: -webkit-gradient(left top, right top, color-stop(0%, rgba(237,237,237,1)), color-stop(12%, rgba(255,255,255,0.25)), color-stop(100%, rgba(255,255,255,0)));
        background: -webkit-linear-gradient(left, rgba(237,237,237,1) 0%, rgba(255,255,255,0.25) 12%, rgba(255,255,255,0) 100%);
        background: -o-linear-gradient(left, rgba(237,237,237,1) 0%, rgba(255,255,255,0.25) 12%, rgba(255,255,255,0) 100%);
        background: -ms-linear-gradient(left, rgba(237,237,237,1) 0%, rgba(255,255,255,0.25) 12%, rgba(255,255,255,0) 100%);
        background: linear-gradient(to right, rgba(237,237,237,1) 0%, rgba(255,255,255,0.25) 12%, rgba(255,255,255,0) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ededed', endColorstr='#ffffff', GradientType=1 );
    }
    .img-viewer .fsm-body .fsm-imgv-btn-next .selector,
    .full-screen-msg.img-viewer .fsm-body .fsm-imgv-btn-next .selector {
        background: rgba(255,255,255,0);
        background: -moz-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,0.25) 88%, rgba(237,237,237,1) 100%);
        background: -webkit-gradient(left top, right top, color-stop(0%, rgba(255,255,255,0)), color-stop(88%, rgba(255,255,255,0.25)), color-stop(100%, rgba(237,237,237,1)));
        background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,0.25) 88%, rgba(237,237,237,1) 100%);
        background: -o-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,0.25) 88%, rgba(237,237,237,1) 100%);
        background: -ms-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,0.25) 88%, rgba(237,237,237,1) 100%);
        background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,0.25) 88%, rgba(237,237,237,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#ededed', GradientType=1 );
    }
 
}

/**
 * Footer
 */
.img-viewer .fsm-footer {
    padding: 0px;
} 
 
.img-viewer .fsm-footer .fsm-imgv-imgs-list,
.full-screen-msg.img-viewer .fsm-footer .fsm-imgv-imgs-list {
    width: 100%;
    max-width: 100%;
    padding: 10px;
    overflow-x: scroll;
    overflow-y: hidden;
    height: 100px;
    white-space: nowrap;
}
 
.img-viewer .fsm-footer .fsm-imgv-imgs-list img,
.img-viewer .fsm-footer .fsm-imgv-imgs-list img.selected,
.full-screen-msg.img-viewer .fsm-footer .fsm-imgv-imgs-list img,
.full-screen-msg.img-viewer .fsm-footer .fsm-imgv-imgs-list img.selected {
    display: inline-block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 90px;
    height: auto;
    margin-left: 10px;
    margin-right: 10px;
    padding: 5px;
    cursor: pointer;
}
 
.img-viewer .fsm-footer .fsm-imgv-imgs-list img.selected,
.full-screen-msg.img-viewer .fsm-footer .fsm-imgv-imgs-list img.selected {
    background-color: rgba(51, 51, 51, 0.25);
}